Index: /LMDZ6/trunk/libf/phylmd/stdlevvar_mod.F90
===================================================================
--- /LMDZ6/trunk/libf/phylmd/stdlevvar_mod.F90	(revision 4721)
+++ /LMDZ6/trunk/libf/phylmd/stdlevvar_mod.F90	(revision 4722)
@@ -19,5 +19,5 @@
                            u1, v1, t1, q1, z1, &
                            ts1, qsurf, z0m, z0h, psol, pat1, &
-                           t_2m, q_2m, t_10m, q_10m, u_10m, ustar)
+                           t_2m, q_2m, t_10m, q_10m, u_10m, ustar, s_pblh, prain, tsol)
       IMPLICIT NONE
 !-------------------------------------------------------------------------
@@ -61,9 +61,13 @@
       LOGICAL, intent(in) :: zxli
       REAL, dimension(klon), intent(in) :: u1, v1, t1, q1, z1, ts1
-      REAL, dimension(klon), intent(in) :: qsurf, z0m, z0h
+      REAL, dimension(klon), intent(in) :: qsurf
+      REAL, dimension(klon), intent(inout) :: z0m, z0h
       REAL, dimension(klon), intent(in) :: psol, pat1
 !
       REAL, dimension(klon), intent(out) :: t_2m, q_2m, ustar
       REAL, dimension(klon), intent(out) :: u_10m, t_10m, q_10m
+      REAL, DIMENSION(klon), INTENT(INOUT) :: s_pblh
+      REAL, DIMENSION(klon), INTENT(IN) :: prain
+      REAL, DIMENSION(klon), INTENT(IN) :: tsol
 !-------------------------------------------------------------------------
       include "flux_arp.h"
@@ -120,7 +124,7 @@
       CALL cdrag(knon, nsrf, &
  &                   speed, t1, q1, z1, &
- &                   psol, ts1, qsurf, z0m, z0h, &
+ &                   psol, s_pblh, ts1, qsurf, z0m, z0h, &
  &                   zri_zero, 0, &
- &                   cdram, cdrah, zri1, pref)
+ &                   cdram, cdrah, zri1, pref, prain, tsol, pat1)
 
 ! --- special Dice: on force cdragm ( a defaut de forcer ustar) MPL 05082013
@@ -178,5 +182,5 @@
  &                   ts1, qsurf, z0m, z0h, psol, &           
  &                   ustar, testar, qstar, okri, ri1, &
- &                   pref, delu, delte, delq) 
+ &                   pref, delu, delte, delq, s_pblh ,prain, tsol, pat1) 
 !
         DO i = 1, knon
@@ -280,5 +284,5 @@
  &                   ts1, qsurf, z0m, z0h, psol, &
  &                   ustar, testar, qstar, okri, ri1, &
- &                   pref, delu, delte, delq)
+ &                   pref, delu, delte, delq, s_pblh ,prain, tsol, pat1)
 !
         DO i = 1, knon
@@ -357,6 +361,7 @@
       INTEGER, intent(in) :: klon, knon, nsrf
       LOGICAL, intent(in) :: zxli
-      REAL, dimension(klon), intent(in) :: u1, v1, t1, q1, z1, ts1
-      REAL, dimension(klon), intent(in) :: qsurf, z0m, z0h
+      REAL, dimension(klon), intent(in) :: u1, v1, t1, q1, ts1, z1
+      REAL, dimension(klon), intent(inout) :: z0m, z0h
+      REAL, dimension(klon), intent(in) :: qsurf
       REAL, dimension(klon), intent(in) :: psol, pat1
 !
@@ -371,4 +376,7 @@
       REAL, dimension(klon) :: cdmn2m, cdhn2m, fm2m, fh2m
       REAL, dimension(klon) :: ri2m_new
+      REAL, DIMENSION(klon) :: s_pblh
+      REAL, DIMENSION(klon) :: prain
+      REAL, DIMENSION(klon) :: tsol
 !-------------------------------------------------------------------------
       include "flux_arp.h"
@@ -444,7 +452,7 @@
       CALL cdrag(knon, nsrf, &
  &                   speed, t1, q1, z1, &
- &                   psol, ts1, qsurf, z0m, z0h, &
+ &                   psol, s_pblh, ts1, qsurf, z0m, z0h, &
  &                   zri_zero, 0, &
- &                   cdram, cdrah, zri1, pref)
+ &                   cdram, cdrah, zri1, pref, prain, tsol, pat1)
 
 !
@@ -468,5 +476,6 @@
  &                   cdram, cdrah,  okri, &
  &                   ri1, 1, &
- &                   pref_new, delm_new, delh_new, ri2m)
+ &                   pref_new, delm_new, delh_new, ri2m, &
+ &                   s_pblh, prain, tsol, pat1      )
 !
        DO i = 1, knon
@@ -535,5 +544,6 @@
  &                   cdram, cdrah,  okri, &
  &                   ri1, 0, &
- &                   pref, delm, delh, ri2m)
+ &                   pref, delm, delh, ri2m, &
+ &                   s_pblh, prain, tsol, pat1      )
 !
         DO i = 1, knon
@@ -614,5 +624,6 @@
  &                   cdram, cdrah,  okri, &
  &                   ri1, 1, &
- &                   pref_new, delm_new, delh_new, ri10m)
+ &                   pref_new, delm_new, delh_new, ri10m, &
+ &                   s_pblh, prain, tsol, pat1      )
 !
        DO i = 1, knon
@@ -671,5 +682,6 @@
  &                   cdram, cdrah,  okri, &
  &                   ri1, 0, &
- &                   pref, delm, delh, ri10m)
+ &                   pref, delm, delh, ri10m, &
+ &                   s_pblh, prain, tsol, pat1      )
 !
         DO i = 1, knon
